# Status Check Implementation (/archive/paypal-here/merchant-onboarding/status-check)



> **Warning:** **Important:** PayPal Here is [deprecated](https://www.paypal.com/us/cshelp/article/paypal-here-deprecation-help299). PayPal doesn't accept new integrations but continues to support existing integrations.

Perform this check at any time to determine whether or not a merchant has already enabled PayPal Here.

> **Info:** **Note:** It is recommended that partners implement the status check immediately after the [permissions flow](/archive/paypal-here/merchant-onboarding/permissions). If the status check fails, send the merchant through the [registration process](/archive/paypal-here/merchant-onboarding/signing-up).

To complete this check, take the access token generated in the [permissions guide](/archive/paypal-here/merchant-onboarding/permissions) and call the `/status`endpoint.

Choose your programming language:

#### cURL

```text lineNumbers
curl -X GET https://api-m.sandbox.paypal.com/retail/merchant/v1/status
  -H 'authorization: Bearer {access_token_of_merchant}'
  -H 'content-type: application/json'
```

#### PHP

```text lineNumbers
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => "https://api-m.sandbox.paypal.com/retail/merchant/v1/status",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => array(
    "authorization: Bearer {access_token_of_merchant}",
    "content-type: application/json"
  ),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
```

#### Java

```text lineNumbers
OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
  .url("https://api-m.sandbox.paypal.com/retail/merchant/v1/status")
  .get()
  .addHeader("content-type", "application/json")
  .addHeader("authorization", "Bearer {access_token_of_merchant}")
  .build();
Response response = client.newCall(request).execute();
```

Response from the call to the `/status` endpoint:

```text lineNumbers
{
  "status": "ready",
  "paymentTypes": [
    "tab",
    "key",
    "card"
  ],
  ....
}
```

## Success response [#success-response]

A successful response will include:

* `status` field
* `paymentTypes` object
* other fields

## Considerations [#considerations]

Make sure that the `status` is `ready` and the `paymentTypes` object includes either `card` for the US or `chip` for the UK and AU. The combination of those values in the response indicates that your merchant has enabled PayPal Here on their business account and is ready for processing.

## Next [#next]

* If the `status` is not `ready` or the payment types of `card` or `chip` are not present, you must send the merchant through the [registration process](/archive/paypal-here/merchant-onboarding/signing-up) for their respective region.
* If the status check is successful, you are ready to start [working with our SDK](/archive/paypal-here/sdk-dev).
